/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import React from 'react';
import { ColumnMeta } from '@superset-ui/chart-controls';
import { EchartsGraphFormData } from './types';
declare const _default: {
    controlPanelSections: (import("@superset-ui/chart-controls").ControlPanelSectionConfig | {
        label: string;
        expanded: boolean;
        controlSetRows: (string[] | {
            name: string;
            config: {
                clearable: boolean;
                label: string;
                description: string;
                type: string;
                multi: boolean;
                freeForm: boolean;
                default: null;
                includeTime: boolean;
                optionRenderer: (c: ColumnMeta) => JSX.Element;
                valueRenderer: (c: ColumnMeta) => JSX.Element;
                valueKey: string;
                allowAll: boolean;
                filterOption: ({ data: opt }: {
                    data: ColumnMeta;
                }, text?: string) => boolean | undefined;
                promptTextCreator: (label: string) => string;
                commaChoosesOption: boolean;
                labelKey?: string | undefined;
                options?: ColumnMeta[] | undefined;
                renderTrigger?: boolean | undefined;
                validators?: import("@superset-ui/chart-controls").ControlValueValidator<"SelectControl", ColumnMeta, unknown>[] | undefined;
                warning?: React.ReactNode;
                error?: React.ReactNode;
                mapStateToProps?: ((state: import("@superset-ui/chart-controls").ControlPanelState, control: import("@superset-ui/chart-controls").SelectControlConfig<ColumnMeta, "SelectControl">) => Record<string, any>) | undefined;
                visibility?: ((props: import("@superset-ui/chart-controls").ControlPanelsContainerProps) => boolean) | undefined;
            };
        }[])[];
    } | {
        label: string;
        expanded: boolean;
        controlSetRows: (string[] | JSX.Element[] | {
            name: string;
            config: {
                type: string;
                renderTrigger: boolean;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                renderTrigger: boolean;
                label: string;
                default: "none" | "circular" | "force" | undefined;
                options: {
                    label: string;
                    value: string;
                }[];
                description: string;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                label: string;
                renderTrigger: boolean;
                default: boolean;
                description: string;
                visibility({ form_data: { layout } }: {
                    form_data: EchartsGraphFormData;
                }): boolean;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                label: string;
                renderTrigger: boolean;
                default: boolean | "scale" | "move";
                choices: (string | boolean)[][];
                description: string;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                renderTrigger: boolean;
                label: string;
                default: boolean | "multiple" | "single" | undefined;
                choices: (string | boolean)[][];
                description: string;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                label: string;
                renderTrigger: boolean;
                isInt: boolean;
                default: number;
                description: string;
            };
        }[] | {
            name: string;
            config: {
                type: string;
                label: string;
                renderTrigger: boolean;
                min: number;
                max: number;
                step: number;
                default: number;
                description: string;
                visibility({ form_data: { layout } }: {
                    form_data: EchartsGraphFormData;
                }): boolean;
            };
        }[])[];
    })[];
};
export default _default;
//# sourceMappingURL=controlPanel.d.ts.map